#!/bin/bash
# invite de montage du volume truecrypt

# truecrypt volume (ligne suivante à adapter)
TC_FILE="/chemin/vers/mon/fichier.tc"

# filesystem (ligne suivante à adapter)
TYPE="auto"

# point de montage (ligne suivante à adapter)
TC_MNT_POINT="/chemin/vers/le/point/de/montage/truecrypt"


# vérifie si le volume est déjà monté
if [ "$( mount | grep $TC_MNT_POINT )" == "" ]
then

	# créer le répertoire si besoin
	[ -d $TC_MNT_POINT ] || mkdir $TC_MNT_POINT

	# lance l'invite de montage du volume truecrypt
	truecrypt --filesystem=$TYPE $TC_FILE $TC_MNT_POINT  > /dev/null 2>&1
	if [ $? -ne 1 ]
	then

		# volume monté
		if [ "$( which notify-send )" != "" ]
		then
			notify-send "Truecrypt" "Le volume truecrypt est monté !" --icon=/usr/share/pixmaps/truecrypt-mounted.png --expire-time=5000 --urgency=normal &
		else
			zenity --info --text="Le volume truecrypt est monté !"
		fi

	else

		# erreur, volume non monté
		if [ "$( which notify-send )" != "" ]
		then
			notify-send "Truecrypt" "Erreur : le volume N'a PAS pu être monté !" --icon=/usr/share/pixmaps/truecrypt-warning.png --expire-time=5000 --urgency=normal &
		else
			zenity --info --text="Erreur : le volume truecrypt N'a PAS pu être monté !"
		fi
		exit

	fi

else

	# volume déjà monté
	if [ "$( which notify-send )" != "" ]
	then
		notify-send "Truecrypt" "Le volume truecrypt est déjà monté !" --icon=/usr/share/pixmaps/truecrypt-mounted.png --expire-time=5000 --urgency=normal &
	else
		zenity --info --text="Le volume truecrypt est déjà monté !"
	fi
	exit

fi


